This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 120627 - nss_ldap-207-8 in RHEL3 U2 Beta not working
nss_ldap-207-8 in RHEL3 U2 Beta not working
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nss_ldap (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 09:01 EDT by Gregory Palmer
Modified: 2015-01-07 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 207-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-14 18:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gregory Palmer 2004-04-12 09:01:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
The nss_ldap-207-8 package in the RHEL 3 U2 Beta release is broken. My
customer upgraded a RHEL 3U1 (with latest errata) box to the U2 Beta
release with the nss_ldap-207-8 package and could not su to any ldap
users.

When he backed out the nss_ldap-207-8 package and reverted to the
nss_ldap-207-5 package it worked fine. The error he was getting was:

#su - <someldapuser>

Apr  7 15:48:03 myhostname su: PAM unable
todlopen(/lib/security/$ISA/pam_ldap.so)Apr  7 15:48:03 myhostname su:
PAM [dlerror:/lib/security/../../lib/security/pam_ldap.so: undefined
symbol:_pam_ldap_readconfigfromdns]Apr  7 15:48:03 myhostname su: PAM
adding faulty module:/lib/security/$ISA/pam_ldap.so

Version-Release number of selected component (if applicable):
nss_ldap-207-8

How reproducible:
Always

Steps to Reproduce:
1. Upgrade a RHEL 3U1 server to RHEL U2Beta (with linux upgradeany)
2. Try to su - to a user defined in the ldap db
    

Additional info:
Comment 1 George 2004-04-20 16:28:59 EDT
I had the same problem, and nss_ldap-217-1 from fedora core 2 fixed
the problem.

:-) George 
Comment 3 Nalin Dahyabhai 2004-05-14 18:53:04 EDT
Fixed in 208-10.

Note You need to log in before you can comment on or make changes to this bug.